SPI_PREPARE_PARAMS(3)

NAME
SPI_prepare_params - prepare a plan for a command, without executing it yet

SYNOPSIS

SPIPlanPtr SPI_prepare_params(const char * command,
                              ParserSetupHook parserSetup,
                              void * parserSetupArg,
                              int cursorOptions)

DESCRIPTION

SPI_prepare_params creates and returns an execution plan for the specified command, but doesn't execute the command. This function is equivalent to SPI_prepare_cursor, with the addition that the caller can specify parser hook functions to control the parsing of external parameter references.

ARGUMENTS

const char * command
    command string

ParserSetupHook parserSetup
    Parser hook setup function

void * parserSetupArg
    passthrough argument for parserSetup

int cursorOptions
    integer bit mask of cursor options; zero produces default behavior

RETURN VALUE

SPI_prepare_params has the same return conventions as SPI_prepare.